echo off
cls

rem 	Los parámetros son:
rem 		%1:	unidad en la cual instalas el programa
rem 		%2:	unidad en la que la instalación se copiará

rem     Comprueba que haya bastante espacio para la instalación.
space %1: 3000kb
if errorlevel 1 goto NoSpace

godir %1:\sierra\kq1
if errorlevel 1 goto CantCreate
echo Espera por favor, copiando archivos...
copy %2:exists.com >nul

echo cd kq1 >\sierra\kq1.bat
echo sierra >>\sierra\kq1.bat
echo cd ..  >>\sierra\kq1.bat

copy %2:__insth.bat >nul
copy %2:getdisk.bat >nul
__insth %1 %2

:NoSpace
echo "ˇNo hay bastante espacio en %1 para instalar King's Quest I"
echo "3 megabytes de espacio en disco son necesarios."
pause
goto Exit

:CantCreate
echo "Incapaz de crear el directorio %1."
pause
goto Exit

:Exit


